unit usecka_u;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, grafickyObjekt_u, bod_u;

type
  pusecka = ^usecka;

  usecka = object(grafickyObjekt)
  private
    FPocatek, FKonec: bod;
  public
    constructor init(_barva: integer; _pocatek, _konec: bod);
    property Pocatek: bod read FPocatek write FPocatek;
    property Konec: bod read FKonec write FKonec;
    procedure nakresli; virtual;
  end;

implementation

constructor usecka.init(_barva: integer; _pocatek, _konec: bod);
begin
   inherited init(_barva);
   Pocatek := _pocatek;
   Konec := _konec;
end;

procedure usecka.nakresli;
begin
   inherited nakresli;
   Pocatek.nakresli;
   Konec.nakresli;
end;

end.

